/*******************************************************************************
 *******************************************************************************
 **                                                                           **
 **                                                                           **
 **  Copyright 2003-2006 Tom Bascom, Greenfield Technologies                  **
 **  http://www.greenfieldtech.com                                            **
 **                                                                           **
 **  ProTop is free software; you can redistribute it and/or modify it        **
 **  under the terms of the GNU General Public License (GPL) as published     **
 **  by the Free Software Foundation; either version 2 of the License, or     **
 **  at your option) any later version.                                       **
 **                                                                           **
 **  ProTop is distributed in the hope that it will be useful, but WITHOUT    **
 **  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or    **
 **  FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License     **
 **  for more details.                                                        **
 **                                                                           **
 **  See TERMS.TXT for more information regarding the Terms and Conditions    **
 **  of use and alternative licensing options for this software.              **
 **                                                                           **
 **  A copy of the GPL is in GPL.TXT which was provided with this package.    **
 **                                                                           **
 **  See http://www.fsf.org for more information about the GPL.               **
 **                                                                           **
 **                                                                           **
 *******************************************************************************
 *******************************************************************************
 *
 * protoplib.i
 *
 * ProTop infrastructure library definitions
 *
 */

function unsignMe returns decimal ( input s as decimal, input i as integer ) in super.

function hr returns decimal ( input lr as decimal, input osr as decimal, output hr-str as character, output hr as decimal, output mr as decimal ) in super.
function myPID returns character () in super.
function hilite returns logical ( input b as handle, input p_metric as character, input p_value as character, input-output p_attr as character ) in super.
function leftPad returns character ( input s as character, input i as integer, input c as character ) in super.
function getHostName returns character () in super.

function do-SumSample returns logical ( output p_index as integer, output p_time  as integer ) in super.

function m2hex returns longchar ( input m as memptr ) in super.
function hex2m returns memptr ( input x as longchar ) in super.

function text2GCRHex returns longchar ( input plainText as longchar, input keyText as character ) in super.
function hexGCR2Text returns longchar ( input hexText as longchar, input keyText as character ) in super.

function nextPower2 returns decimal ( input x as decimal ) in super.
function idealRPB returns integer ( input bsz as integer, input avgRec as decimal ) in super.
function fixDateString returns character ( input dx as character ) in super.

function logMsg returns logical ( input msgLevel as integer, input msgText as character ) in super.

function isatty returns logical () in super.

function altFormat returns logical ( a as character, b as handle, n as character, f as character ) in super.

/* end protoplib.i */
