#!/bin/sh
#
# sqlwidth.sh dbName 
#
#

. #ENVPT3#/bin/protopenv

cd ${PROTOP}

TMPDIR=${TMPDIR-/tmp}
LOGDIR=${LOGDIR-/tmp}

if [ ! -d ${TMPDIR} ]
then
        mkdir ${TMPDIR}
fi

if [ ! -d ${LOGDIR} ]
then
        mkdir ${LOGDIR}
fi

PADDING=50

if [ -z "${1}" ]
then
	echo "sqlwidth.sh dbName [TBLNUM [STORAGEAREA]]"
	exit
fi

DB=$1

TBLNUM=${2-all}
STAREA=${3-all}

INFILE=${TMPDIR}/sqlwidth.in

echo 2 >  ${INFILE}
echo 1 >> ${INFILE}
echo ${PADDING} >> ${INFILE}
echo ${TBLNUM}  >> ${INFILE}
echo ${STAREA}  >> ${INFILE}

${DLC}/bin/dbtool ${DB} < ${INFILE} > ${LOGDIR}/${DB}.sqlwidth 2>&1

echo
